<template>
	<text class="getCode" @click="getCode">{{isSendCodeUse?sendCodeTime:"获取验证码"}}</text>
</template>

<script>
	import { sendCode } from "@/static/js/business.js"
	export default {
		props:{
			phone:{
				type:String,
				default:""
			}
		},
		data() {
			return {
				sendCodeTime:60,
				isSendCodeUse:false
			}
		},
		methods:{
			getCode(){
				let _self = this
				let data = {
					phone:_self.phone
				}
				_self.$emit("submit",{sendCode,t:_self})
				// sendCode.call(_self,data)
			}
		}
	}
</script>

<style lang="scss">
	.getCode{
		color:$base-color;
		width:140rpx;
		text-align:center;
	}
</style>
